{% extends './BackView.twig' %}

{% block panel %}

    <li class="sidebar-item">
        <a class="sidebar-link has-arrow waves-effect waves-dark" href="javascript:void(0)" aria-expanded="false">
            <i data-feather="layout" class="feather-icon"></i>
            <span class="hide-menu">Dashboard</span>
        </a>
        <ul aria-expanded="false" class="collapse  first-level">
            <li class="sidebar-item">
                <a href="{{ path_for('back.sales') }}" class="sidebar-link">
                    <i class="mdi mdi-adjust"></i>
                    <span class="hide-menu"> Sales <span class="badge badge-pill badge-success">5</span></span>
                </a>
            </li>
            <li class="sidebar-item">
                <a href="{{ path_for('back.analytics') }}" class="sidebar-link">
                    <i class="mdi mdi-adjust"></i>
                    <span class="hide-menu"> Analytics </span>
                </a>
            </li>
        </ul>
    </li>

    <!-- panel-item : USER -->
    {{ include('/back/_partials/side-panels/panel-user.twig') }}

{% endblock %}

{% block content %}

    <!-- Bread crumb and right sidebar toggle -->
    <div class="page-breadcrumb">
        <div class="row">
            <div class="col-md-6 align-self-center">
                <div class="app-page-title">
                    <div class="page-title-wrapper">
                        <div class="page-title-heading">
                            <div class="page-title-icon">
                                <i class="pe-7s-id icon-gradient bg-mean-fruit">
                                </i>
                            </div>
                            <div>User Profile
                                <div class="page-title-subheading">
                                    This is an example of a user profile created using build-in elements and components.
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 align-self-center d-none d-md-block">
{#                <button id="progress-bar" class="btn float-right btn-success" data-toggle="modal" data-target="#signup-modal">#}
{#                <button id="progress-bar" class="btn float-right btn-success">#}
{#                    <i class="mdi mdi-plus-circle"></i> Create#}
{#                </button>#}
            </div>
        </div>
    </div>

    <!-- Container fluid  -->
    <div class="container-fluid">
        <div class="row">

            <!-- USER CARD -->
            <div class="col-lg-4 col-xlg-3 col-md-5">
                <div class="card">
                    <div class="card-body">
                        <center class="mt-4">
                            <img src="{{ auth.user.img_avatar }}" alt="" class="rounded-circle" width="150" />
                            <h4 class="card-title mt-2">
                                {{ auth.user.first_name ~" "~ auth.user.middle_name ~" "~ auth.user.last_name }}
                            </h4>
                            <h6 class="card-subtitle">
{#                                {{ user.permissions_level.name }}#}
                                role name
                            </h6>
                            <div class="row text-center justify-content-md-center">
                                <div class="col-4"><a href="javascript:void(0)" class="link"><i class="icon-people"></i> <font class="font-weight-medium">254</font></a></div>
                                <div class="col-4"><a href="javascript:void(0)" class="link"><i class="icon-picture"></i> <font class="font-weight-medium">54</font></a></div>
                            </div>
                        </center>
                    </div>
                    <hr>
                    <div class="card-body">
                        <small class="text-muted">
                            Email address
                        </small>
                        <h6>
                            {{ auth.user.email }}
                        </h6>
                        <small class="text-muted pt-4 db">
                            Phone
                        </small>
                        <h6>
                            {{ auth.user.contacts.tel_mobile }}
                        </h6>
                        <small class="text-muted pt-4 db">
                            Address
                        </small>
                        <h6>
                            71 Pilgrim Avenue Chevy Chase, MD 20815
                        </h6>
                        <div class="map-box">
                            <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d470029.1604841957!2d72.29955005258641!3d23.019996818380896!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x395e848aba5bd449%3A0x4fcedd11614f6516!2sAhmedabad%2C+Gujarat!5e0!3m2!1sen!2sin!4v1493204785508" width="100%" height="150" frameborder="0" style="border:0" allowfullscreen></iframe>
                        </div>
                        <small class="text-muted pt-4 db">
                            Social Profile
                        </small>
                        <br/>
                        <button class="btn btn-circle btn-secondary"><i class="fab fa-facebook-f"></i></button>
                        <button class="btn btn-circle btn-secondary"><i class="fab fa-twitter"></i></button>
                        <button class="btn btn-circle btn-secondary"><i class="fab fa-youtube"></i></button>
                    </div>
                </div>
            </div>

            <!-- USER TABS -->
            <div class="col-lg-8 col-xlg-9 col-md-7">
                <div class="card">
                    <!-- Tabs -->
                    <ul class="nav nav-pills custom-pills" id="pills-tab" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" id="pills-timeline-tab" data-toggle="pill" href="#timeline" role="tab" aria-controls="pills-timeline" aria-selected="true">Timeline</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="pills-profile-tab" data-toggle="pill" href="#last-month" role="tab" aria-controls="pills-profile" aria-selected="false">Profile</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="pills-setting-tab" data-toggle="pill" href="#update-profile" role="tab" aria-controls="pills-setting" aria-selected="false">Setting</a>
                        </li>
                    </ul>
                    <!-- Tabs -->
                    <div id="pills-tabContent" class="tab-content">
                        <!-- tab #1 : TIMELINE -->
                        <div id="timeline" class="tab-pane fade show active" role="tabpanel" aria-labelledby="pills-timeline-tab">
                            <div class="card-body">
                                <div class="profiletimeline mt-0">
                                    <div class="sl-item">
                                        <div class="sl-left">
                                            <img src="/src/assets/images/back/users/1.jpg" alt="user" class="rounded-circle"/>
                                        </div>
                                        <div class="sl-right">
                                            <div>
                                                <a href="javascript:void(0)" class="link">
                                                    John Doe
                                                </a>
                                                <span class="sl-date">5 minutes ago</span>
                                                <p>
                                                    assign a new task <a href="javascript:void(0)">Design weblayout</a>
                                                </p>
                                                <div class="row">
                                                    <div class="col-lg-3 col-md-6 mb-3">
                                                        <img src="/src/assets/images/back/big/img1.jpg" class="img-fluid rounded" alt=""/>
                                                    </div>
                                                    <div class="col-lg-3 col-md-6 mb-3">
                                                        <img src="/src/assets/images/back/big/img1.jpg" class="img-fluid rounded" alt=""/>
                                                    </div>
                                                    <div class="col-lg-3 col-md-6 mb-3">
                                                        <img src="/src/assets/images/back/big/img1.jpg" class="img-fluid rounded" alt=""/>
                                                    </div>
                                                    <div class="col-lg-3 col-md-6 mb-3">
                                                        <img src="/src/assets/images/back/big/img1.jpg" class="img-fluid rounded" alt=""/>
                                                    </div>
                                                </div>
                                                <div class="like-comm"> <a href="javascript:void(0)" class="link mr-2">2 comment</a> <a href="javascript:void(0)" class="link mr-2"><i class="fa fa-heart text-danger"></i> 5 Love</a> </div>
                                            </div>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="sl-item">
                                        <div class="sl-left"> <img src="/src/assets/images/back/users/2.jpg" alt="user" class="rounded-circle" /> </div>
                                        <div class="sl-right">
                                            <div> <a href="javascript:void(0)" class="link">John Doe</a> <span class="sl-date">5 minutes ago</span>
                                                <div class="mt-3 row">
                                                    <div class="col-md-3 col-xs-12">
                                                        <img src="/src/assets/images/back/big/img1.jpg" alt="user" class="img-fluid rounded"/>
                                                    </div>
                                                    <div class="col-md-9 col-xs-12">
                                                        <p>
                                                            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer nec odio. Praesent libero. Sed cursus ante dapibus diam.
                                                        </p>
                                                        <a href="javascript:void(0)" class="btn btn-success">
                                                            Design weblayout
                                                        </a>
                                                    </div>
                                                </div>
                                                <div class="like-comm mt-3">
                                                    <a href="javascript:void(0)" class="link mr-2">
                                                        2 comment
                                                    </a>
                                                    <a href="javascript:void(0)" class="link mr-2">
                                                        <i class="fa fa-heart text-danger"></i> 5 Love
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="sl-item">
                                        <div class="sl-left">
                                            <img src="/src/assets/images/back/users/3.jpg" alt="user" class="rounded-circle"/>
                                        </div>
                                        <div class="sl-right">
                                            <div>
                                                <a href="javascript:void(0)" class="link">
                                                    John Doe
                                                </a>
                                                <span class="sl-date">
                                                    5 minutes ago
                                                </span>
                                                <p class="mt-2">
                                                    Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer nec odio. Praesent libero. Sed cursus ante dapibus diam. Sed nisi. Nulla quis sem at nibh elementum imperdiet. Duis sagittis ipsum. Praesent mauris. Fusce nec tellus sed augue semper
                                                </p>
                                            </div>
                                            <div class="like-comm mt-3">
                                                <a href="javascript:void(0)" class="link mr-2">
                                                    2 comment
                                                </a>
                                                <a href="javascript:void(0)" class="link mr-2">
                                                    <i class="fa fa-heart text-danger"></i> 5 Love
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="sl-item">
                                        <div class="sl-left">
                                            <img src="/src/assets/images/back/users/4.jpg" alt="user" class="rounded-circle"/>
                                        </div>
                                        <div class="sl-right">
                                            <div>
                                                <a href="javascript:void(0)" class="link">
                                                    John Doe
                                                </a>
                                                <span class="sl-date">
                                                    5 minutes ago
                                                </span>
                                                <blockquote class="mt-2">
                                                    Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt
                                                </blockquote>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- tab #2 : // -->
                        <div id="last-month" class="tab-pane fade" role="tabpanel" aria-labelledby="pills-profile-tab">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-3 col-xs-6 b-r">
                                        <strong>
                                            Full Name
                                        </strong>
                                        <br>
                                        <p class="text-muted">
                                            Johnathan Doe
                                        </p>
                                    </div>
                                    <div class="col-md-3 col-xs-6 b-r">
                                        <strong>
                                            Mobile
                                        </strong>
                                        <br>
                                        <p class="text-muted">
                                            (123) 456 7890
                                        </p>
                                    </div>
                                    <div class="col-md-3 col-xs-6 b-r">
                                        <strong>
                                            Email
                                        </strong>
                                        <br>
                                        <p class="text-muted">
                                            johnathan@admin.com
                                        </p>
                                    </div>
                                    <div class="col-md-3 col-xs-6">
                                        <strong>
                                            Location
                                        </strong>
                                        <br>
                                        <p class="text-muted">
                                            London
                                        </p>
                                    </div>
                                </div>
                                <hr>
                                <p class="mt-4">
                                    Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt.Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.
                                </p>
                                <p>
                                    Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries.
                                </p>
                                <p>
                                    It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.
                                </p>
                                <h4 class="font-weight-medium mt-4">
                                    Skill Set
                                </h4>
                                <hr>
                                <!-- skill #1 : ?? -->
                                <h5 class="mt-4">
                                    Wordpress <span class="pull-right">80%</span>
                                </h5>
                                <div class="progress">
                                    <div class="progress-bar bg-success" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width:80%; height:6px;">
                                        <span class="sr-only">50% Complete</span>
                                    </div>
                                </div>
                                <!-- skill #2 : ?? -->
                                <h5 class="mt-4">
                                    HTML 5 <span class="pull-right">90%</span>
                                </h5>
                                <div class="progress">
                                    <div class="progress-bar bg-info" role="progressbar" aria-valuenow="90" aria-valuemin="0" aria-valuemax="100" style="width:90%; height:6px;">
                                        <span class="sr-only">50% Complete</span>
                                    </div>
                                </div>
                                <!-- skill #3 : ?? -->
                                <h5 class="mt-4">
                                    jQuery <span class="pull-right">50%</span>
                                </h5>
                                <div class="progress">
                                    <div class="progress-bar bg-danger" role="progressbar" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100" style="width:50%; height:6px;">
                                        <span class="sr-only">50% Complete</span>
                                    </div>
                                </div>
                                <!-- skill #4 : ?? -->
                                <h5 class="mt-4">
                                    Photoshop <span class="pull-right">70%</span>
                                </h5>
                                <div class="progress">
                                    <div class="progress-bar bg-warning" role="progressbar" aria-valuenow="70" aria-valuemin="0" aria-valuemax="100" style="width:70%; height:6px;">
                                        <span class="sr-only">50% Complete</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- tab #3 : UPDATE PROFILE -->
                        <div id="update-profile" class="tab-pane fade" role="tabpanel" aria-labelledby="pills-setting-tab">
                            <div class="card-body">
                                <form class="form-horizontal form-material">
                                    <!-- input : NAMES -->
                                    <div class="row">
                                        <div class="col-md-4">
                                            <!-- input : FIRST NAME -->
                                            <div class="form-group {{ errors.First-Name ? 'has-error' }} : '' ">
                                                <label for="First-Name" class="col-md-12">First Name</label>
                                                <div class="col-md-12">
                                                    <input id="First-Name" name="First-Name" type="text" class="form-control form-control-line" style="padding-left: 10px" value="{{ auth.user.first_name }}">
                                                    {%  if errors.First-Name %}
                                                        <span class="help-block">{{ errors.First-Name | first }}</span>
                                                    {% endif %}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <!-- input : MIDDLE NAME -->
                                            <div class="form-group {{ errors.Middle-Name ? 'has-error' }} : '' ">
                                                <label for="Middle-Name" class="col-md-12">Middle Name</label>
                                                <div class="col-md-12">
                                                    <input id="Middle-Name" name="First-Name" type="text" class="form-control form-control-line" style="padding-left: 10px" value="{{ auth.user.middle_name }}">
                                                    {%  if errors.Middle-Name %}
                                                        <span class="help-block">{{ errors.Middle-Name | first }}</span>
                                                    {% endif %}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <!-- input : LAST NAME -->
                                            <div class="form-group {{ errors.Last-Name ? 'has-error' }} : '' ">
                                                <label for="Last-Name" class="col-md-12">Last Name</label>
                                                <div class="col-md-12">
                                                    <input id="Last-Name" name="Last-Name" type="text" class="form-control form-control-line" style="padding-left: 10px" value="{{ auth.user.last_name }}">
                                                    {%  if errors.Last-Name %}
                                                        <span class="help-block">{{ errors.Last-Name | first }}</span>
                                                    {% endif %}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- input : EMAIL -->
                                    <div class="form-group {{ errors.Email ? 'has-error' }} : '' ">
                                        <label for="Email" class="col-md-12">Email</label>
                                        <div class="col-md-12">
                                            <input id="Email" name="Email" type="email" class="form-control form-control-line" style="padding-left: 10px" placeholder="john@doe.com" value="{{ auth.user.email }}">
                                            {%  if errors.Email %}
                                                <span class="help-block">{{ errors.Email | first }}</span>
                                            {% endif %}
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-md-12">Password</label>
                                        <div class="col-md-12">
                                            <input type="password" value="password" class="form-control form-control-line">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-12">Phone No</label>
                                        <div class="col-md-12">
                                            <input type="text" placeholder="123 456 7890" class="form-control form-control-line">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-12">Message</label>
                                        <div class="col-md-12">
                                            <textarea rows="5" class="form-control form-control-line"></textarea>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-sm-12">Select Country</label>
                                        <div class="col-sm-12">
                                            <select class="form-control form-control-line">
                                                <option>London</option>
                                                <option>India</option>
                                                <option>Usa</option>
                                                <option>Canada</option>
                                                <option>Thailand</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-sm-12">
                                            <button class="btn btn-success">
                                                Update Profile
                                            </button>
                                            <!-- CSRF protection -->
                                            {{ csrf.field | raw }}
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Column -->
        </div>

    </div>

{%  endblock %}

{% block scripts %}

    <!-- page script -->
    <script>

        $(document).ready(function() {

            $(document).ready(function() {

                let table = $('#usersTable').DataTable();
            } );
        } );

    </script>

{% endblock %}